#include <SDL/SDL.h>
#include <string>

#ifndef FUNCTIONS_H
#define FUNCTIONS_H

int enlarge(SDL_Surface* ori, SDL_Surface* dst, int factor);
bool inRange (int p, int min, int max);
bool inRangeI (int p, int min, int max);
int applySurface(SDL_Surface* src, SDL_Surface* dst, int x, int y);
bool pointInRect(int x, int y, SDL_Rect r);
SDL_Surface* loadImage(std::string src);

Uint32 getpixel(SDL_Surface *surface, int x, int y);
void putpixel(SDL_Surface *surface, int x, int y, Uint32 pixel);

#endif
